/**
 * pawswritingwindow.h - Author: Daniel Fryer
 *
 * Copyright (C) 2006 Atomic Blue (info@planeshift.it, http://www.atomicblue.org)
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
 
 #ifndef PAWSWRITINGWINDOW_H
 #define PAWSWRITINGWINDOW_H
 
 #include "paws/pawswidget.h"
 #include "paws/pawstextwrap.h"
 
 class pawsEditTextBox;
 /**
 lalalala
 */
 
 class pawsWritingWindow: public pawsWidget, public psClientNetSubscriber
 /* la? */
 {
 /* la. */
 public:
     //not only load from XML but also dynamically activate widgety things based on 
     //the inks & pens that the server sends us
     pawsWritingWindow();
     virtual ~pawsWritingWindow();
     
     bool OnButtonPressed(int mouseButton, int keyModifier, pawsWidget* widget);
         bool PostSetup();
    void RequestDetails();

    void HandleMessage( MsgEntry* me );
private:
    pawsMultilineEditTextBox* lefttext;
    pawsMultilineEditTextBox* righttext;
    //so we know what book we're talking about here
    int slotID;
    int containerID;
    int parentContainerID;
};

CREATE_PAWS_FACTORY( pawsWritingWindow );
#endif
