#!/bin/sh
#Planeshift plugin acquisition, loads up the PS client.
#depends on CSDIR, PSDIR and CELDIR being set.

cp ${PSDIR}/*.csplugin .
cp ${PSDIR}/*.csbundle .

cp ${CSDIR}/bindoc.csbundle .
cp ${CSDIR}/bruteblock.csbundle .
cp ${CSDIR}/csbmpimg.csbundle .
cp ${CSDIR}/csddsimg.csbundle .
cp ${CSDIR}/csfont.csbundle .
cp ${CSDIR}/csgifimg.csbundle .
cp ${CSDIR}/csjpgimg.csbundle .
cp ${CSDIR}/cspngimg.csbundle .

cp ${CSDIR}/cssynldr.csbundle .
cp ${CSDIR}/cstgaimg.csbundle .

cp ${CSDIR}/csopcode.csbundle .
cp ${CSDIR}/csparser.csbundle .
cp ${CSDIR}/dsplex.csbundle .
cp ${CSDIR}/dynavis.csbundle .
cp ${CSDIR}/engine.csbundle .
cp ${CSDIR}/engseq.csbundle .
cp ${CSDIR}/emit.csbundle .
cp ${CSDIR}/emitldr.csbundle .
cp ${CSDIR}/fire.csbundle .
cp ${CSDIR}/fireldr.csbundle .
cp ${CSDIR}/fontplex.csbundle .
cp ${CSDIR}/freefnt2.csbundle .
cp ${CSDIR}/frustvis.csbundle .
cp ${CSDIR}/genmesh.csbundle .
cp ${CSDIR}/gmeshanim.csbundle .
cp ${CSDIR}/gmeshldr.csbundle .
cp ${CSDIR}/gl3d.csbundle .
cp ${CSDIR}/glshader_fixed.csbundle .

cp ${CSDIR}/glshader_arb.csbundle .
cp ${CSDIR}/glosx2d.csbundle .
cp ${CSDIR}/imgplex.csbundle .
cp ${CSDIR}/null2d.csbundle .
cp ${CSDIR}/null3d.csbundle .
cp ${CSDIR}/nullmesh.csbundle .
cp ${CSDIR}/nullmeshldr.csbundle .
cp ${CSDIR}/particles.csbundle .
cp ${CSDIR}/particlesldr.csbundle .
cp ${CSDIR}/partphys_simple.csbundle .
cp ${CSDIR}/rain.csbundle .
cp ${CSDIR}/rainldr.csbundle .
cp ${CSDIR}/rendstep_std.csbundle .
cp ${CSDIR}/rendloop_loader.csbundle .
cp ${CSDIR}/reporter.csbundle .
cp ${CSDIR}/sequence.csbundle .
cp ${CSDIR}/shadermgr.csbundle .
cp ${CSDIR}/simpleformer.csbundle .
cp ${CSDIR}/simpleformerldr.csbundle .
cp ${CSDIR}/sndsysogg.csbundle .
cp ${CSDIR}/sndsysloader.csbundle .
cp ${CSDIR}/sndmanager.csbundle .
cp ${CSDIR}/sndsyssoft.csbundle .
cp ${CSDIR}/sndsyscoreaudio.csbundle .
cp ${CSDIR}/sndsyswav.csbundle .

cp ${CSDIR}/stdrep.csbundle .
cp ${CSDIR}/spr3dbin.csbundle .
cp ${CSDIR}/spr3dldr.csbundle .
cp ${CSDIR}/spr3d.csbundle .
cp ${CSDIR}/spr2d.csbundle .
cp ${CSDIR}/sprcal3dldr.csbundle .
cp ${CSDIR}/sprcal3d.csbundle .
cp ${CSDIR}/terrainldr.csbundle .
cp ${CSDIR}/thing.csbundle .
cp ${CSDIR}/thingldr.csbundle .
cp ${CSDIR}/vfs.csbundle .
cp ${CSDIR}/xmlread.csbundle .
cp ${CSDIR}/xmltiny.csbundle .
cp ${CSDIR}/xmlshader.csbundle .

cp ${CELDIR}/pfactormove.csbundle .
cp ${CELDIR}/addon_celentity.csbundle .
cp ${CELDIR}/addon_xmlscripts.csbundle .
cp ${CELDIR}/pftools.csbundle .
cp ${CELDIR}/pftest.csbundle .
cp ${CELDIR}/pfmove.csbundle .
cp ${CELDIR}/pfmover.csbundle .
cp ${CELDIR}/pfmesh.csbundle .
cp ${CELDIR}/pfinv.csbundle .
cp ${CELDIR}/pfinput.csbundle .
cp ${CELDIR}/pfdefcam.csbundle .
cp ${CELDIR}/pfengine.csbundle .
cp ${CELDIR}/pftrigger.csbundle .
cp ${CELDIR}/pfdefcam.csbundle .
cp ${CELDIR}/pfzone.csbundle .
cp ${CELDIR}/cpersist.csbundle .
cp ${CELDIR}/stdphyslayer.csbundle  .

#and the metadata!
cp ${CSDIR}/bindoc.csplugin .
cp ${CSDIR}/bruteblock.csplugin .
cp ${CSDIR}/csbmpimg.csplugin .
cp ${CSDIR}/csddsimg.csplugin .
cp ${CSDIR}/csfont.csplugin .
cp ${CSDIR}/csgifimg.csplugin .
cp ${CSDIR}/csjpgimg.csplugin .
cp ${CSDIR}/cspngimg.csplugin .

cp ${CSDIR}/cssynldr.csplugin .
cp ${CSDIR}/cstgaimg.csplugin .

cp ${CSDIR}/csopcode.csplugin .
cp ${CSDIR}/csparser.csplugin .
cp ${CSDIR}/dsplex.csplugin .
cp ${CSDIR}/dynavis.csplugin .
cp ${CSDIR}/engine.csplugin .
cp ${CSDIR}/engseq.csplugin .
cp ${CSDIR}/emit.csplugin .
cp ${CSDIR}/emitldr.csplugin .
cp ${CSDIR}/fire.csplugin .
cp ${CSDIR}/fireldr.csplugin .
cp ${CSDIR}/fontplex.csplugin .
cp ${CSDIR}/freefnt2.csplugin .
cp ${CSDIR}/frustvis.csplugin .
cp ${CSDIR}/genmesh.csplugin .
cp ${CSDIR}/gmeshanim.csplugin .
cp ${CSDIR}/gmeshldr.csplugin .
cp ${CSDIR}/gl3d.csplugin .
cp ${CSDIR}/glshader_fixed.csplugin .

cp ${CSDIR}/glshader_arb.csplugin .
cp ${CSDIR}/glosx2d.csplugin .
cp ${CSDIR}/imgplex.csplugin .
cp ${CSDIR}/null2d.csplugin .
cp ${CSDIR}/null3d.csplugin .
cp ${CSDIR}/nullmesh.csplugin .
cp ${CSDIR}/nullmeshldr.csplugin .
cp ${CSDIR}/particles.csplugin .
cp ${CSDIR}/particlesldr.csplugin .
cp ${CSDIR}/partphys_simple.csplugin .

cp ${CSDIR}/rain.csplugin .
cp ${CSDIR}/rainldr.csplugin .
cp ${CSDIR}/rendstep_std.csplugin .
cp ${CSDIR}/rendloop_loader.csplugin .
cp ${CSDIR}/reporter.csplugin .
cp ${CSDIR}/sequence.csplugin .
cp ${CSDIR}/shadermgr.csplugin .
cp ${CSDIR}/simpleformer.csplugin .
cp ${CSDIR}/simpleformerldr.csplugin .
cp ${CSDIR}/sndsysogg.csplugin .
cp ${CSDIR}/sndsysloader.csplugin .
cp ${CSDIR}/sndmanager.csplugin .
cp ${CSDIR}/sndsyssoft.csplugin .
cp ${CSDIR}/snow.csplugin .
cp ${CSDIR}/snowldr.csplugin .
cp ${CSDIR}/sndsyscoreaudio.csplugin .
cp ${CSDIR}/sndsyswav.csplugin .

cp ${CSDIR}/stdrep.csplugin .
cp ${CSDIR}/spr3dbin.csplugin .
cp ${CSDIR}/spr3dldr.csplugin .
cp ${CSDIR}/spr3d.csplugin .
cp ${CSDIR}/spr2d.csplugin .
cp ${CSDIR}/sprcal3dldr.csplugin .
cp ${CSDIR}/sprcal3d.csplugin .
cp ${CSDIR}/terrainldr.csplugin .
cp ${CSDIR}/thing.csplugin .
cp ${CSDIR}/thingldr.csplugin .
cp ${CSDIR}/vfs.csplugin .
cp ${CSDIR}/xmlread.csplugin .
cp ${CSDIR}/xmltiny.csplugin .
cp ${CSDIR}/xmlshader.csplugin .

cp ${CELDIR}/pfactormove.csplugin .
cp ${CELDIR}/addon_celentity.csplugin .
cp ${CELDIR}/addon_xmlscripts.csplugin .
cp ${CELDIR}/pftools.csplugin .
cp ${CELDIR}/pftest.csplugin .
cp ${CELDIR}/pfmove.csplugin .
cp ${CELDIR}/pfmover.csplugin .
cp ${CELDIR}/pfmesh.csplugin .
cp ${CELDIR}/pfinv.csplugin .
cp ${CELDIR}/pfinput.csplugin .
cp ${CELDIR}/pfdefcam.csplugin .
cp ${CELDIR}/pfengine.csplugin .
cp ${CELDIR}/pftrigger.csplugin .
cp ${CELDIR}/pfzone.csplugin .
cp ${CELDIR}/pfdefcam.csplugin .
cp ${CELDIR}/cpersist.csplugin .
cp ${CELDIR}/stdphyslayer.csplugin  .

