Name:		crystal-planeshift-snapshot
Summary:	Crystal Space Snapshot for planeshift release
Version:	0.0.4
Release:	1
License:	LGPL
Group:		Development/Libraries
# hack, hack...
Source:		file:~/crystal-planeshift-snapshot.tar.gz
BuildRoot:	/var/tmp/%{name}-buildroot
URL:		http://crystal.sourceforge.net
Requires:	zlib libpng libjpeg freetype
#BuildRequires:	libz-dev libpng-dev libjpeg-dev
Prefix:		/usr/local/crystal

%description
Crystal Space snapshot for planeshift

%package devel
Summary:	Crystal devel package
Group:		Development/Libraries

%description devel
devel files for Crystal Space

%prep
%setup -q -n CS

%build
INSTALL_DIR="%{prefix}" ARCH="" make linux
make csconfig walkall engine null2d null3d glx2d gl3d snddrivers tgaimg bugplug
#make csconfig libs tgaimg

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/data
mkdir -p $RPM_BUILD_ROOT%{prefix}/data/config
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
cp *.so $RPM_BUILD_ROOT%{prefix}/lib
find out -name "*.a" -exec "cp" "-p" "{}" "$RPM_BUILD_ROOT%{prefix}/lib" ';'
cp data/config/*.cfg $RPM_BUILD_ROOT%{prefix}/data/config
cp *.cfg $RPM_BUILD_ROOT%{prefix}
cp -rp include/* $RPM_BUILD_ROOT%{prefix}/include
cp -p cs-config $RPM_BUILD_ROOT%{prefix}/bin/cs-config
cp COPYING $RPM_BUILD_ROOT%{prefix}/COPYING
cp README.html $RPM_BUILD_ROOT%{prefix}/README.html



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{prefix}/

%changelog
* Wed May 13 2002 Greg von Beck <gregvb@wiredweasel.org>
- Cleaning rpms in preperation for release
* Thu May 02 2002 Matze Braun <MatzeBraun@gmx.de>
- Initial release
