# MySQL-Front 3.2  (Build 13.0)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES */;

/*!40101 SET NAMES latin1 */;
/*!40103 SET TIME_ZONE='SYSTEM' */;

# Host: localhost    Database: planeshift
# ------------------------------------------------------
# Server version 5.0.19-nt

#
# Table structure for table accounts
#

CREATE TABLE `accounts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(50) NOT NULL default '0',
  `password` varchar(32) NOT NULL default '0',
  `last_login` datetime default NULL,
  `created_date` datetime default NULL,
  `last_login_ip` varchar(16) default NULL,
  `security_level` tinyint(3) NOT NULL default '0',
  `verificationid` varchar(32) default NULL,
  `country` varchar(64) default NULL,
  `spam_points` tinyint(1) default '0',
  `advisor_points` int(10) NOT NULL default '0',
  `comments` text,
  `realname` varchar(64) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `username_2` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Dumping data for table accounts
#

INSERT INTO `accounts` VALUES (1,'vengeance','8dd9fa632ca161d0ca1929a4d99cbe77','2006-06-24 00:47:50','0000-00-00 00:00:00','127.0.0.1',30,'','US',0,0,'none','');
INSERT INTO `accounts` VALUES (3,'guest','084e0343a0486ff05530df6c705c8bb4','2003-07-22 00:31:36','0000-00-00 00:00:00','127.0.0.1',30,'','US',0,0,'none','');
INSERT INTO `accounts` VALUES (5,'acraig','d914e3ecf6cc481114a3f534a5faf90b','0000-00-00 00:00:00','0000-00-00 00:00:00','',0,'','US',0,0,'none','');
INSERT INTO `accounts` VALUES (9,'superclient','ea5944cced6c6e9bfa1f289e4f29543c','2003-07-17 14:46:08','0000-00-00 00:00:00','127.0.0.1',99,'','US',0,0,'none','');
INSERT INTO `accounts` VALUES (10,'superclient2','5f4dcc3b5aa765d61d8327deb882cf99',NULL,NULL,NULL,99,NULL,NULL,0,0,NULL,NULL);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
