CREATE TABLE action_locations
(
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  master_id INTEGER UNSIGNED,
  name VARCHAR(45) NOT NULL,
  sectorname VARCHAR(30) NOT NULL,
  meshname VARCHAR(250) NOT NULL,
  polygon INTEGER UNSIGNED,
  pos_x FLOAT,
  pos_y FLOAT,
  pos_z FLOAT,
  radius FLOAT,
  triggertype VARCHAR(10),
  responsetype VARCHAR(10),
  response TEXT,
  PRIMARY KEY(`id`)
);

INSERT INTO `action_locations` VALUES (1,0,'The Blacksmith Shop','NPCroom','_s_blacksmith',0,0,0,0,0,'SELECT','EXAMINE','The blacksmiths shop is full of fire and brimestone. You can see the smith hard at work moving deftly between forge and anvil.');
INSERT INTO `action_locations` VALUES (2,0,'IngotsOfFire','NPCroom','smith_ingots',0,0,0,0,0,'SELECT','SCRIPT','fire_damage');
INSERT INTO `action_locations` VALUES (3,0,'HealingTree','NPCroom','_g_treetop02big_02',0,0,0,0,4,'PROXIMITY','SCRIPT','healing_tree');
INSERT INTO `action_locations` VALUES (4,0,'woodbox','NPCroom','smith_woodbox',0,0,0,0,0,'SELECT','EXAMINE','<Examine>\n<Container ID=\'68\'/>\n<Description>A Box full of books</Description>\n</Examine>');
INSERT INTO `action_locations` VALUES (5,0,'Smith Forge','NPCroom','smith_furnace',0,0,0,0,0,'SELECT','EXAMINE','<Examine>\n<Container ID=\'71\'/>\n<Description>A smith forge, ready to heat materials</Description>\n</Examine>');
INSERT INTO `action_locations` VALUES (6,0,'Anvil','NPCroom','smith_anvil',0,0,0,0,0,'SELECT','EXAMINE','<Examine>\n<Container ID=\'73\'/>\n<Description>An anvil used to forge items</Description>\n</Examine>');
INSERT INTO `action_locations` VALUES (7,0,'Test Game','NPCroom','Box10',0,4.2,0.99,-216.94,0,'SELECT','EXAMINE','<Examine><GameBoard Cols=\'6\' Rows=\'6\' Layout=\'FF00FFF0000F000000000000F0000FFF00FF\' Pieces=\'123456789ABCDE\' /><Description>A minigame board for testing.</Description></Examine>');
