drop database if exists planeshift;
create database planeshift;
use planeshift;

source accessrules.sql;
source accounts.sql;
source action_locations.sql;
source alliances.sql;
source armorvsweapon.sql;
source bad_names.sql;
source bans.sql;
source character_relationships.sql;
source characters.sql;
source char_adv.sql;
source char_creation.sql;
source character_quests.sql;
source char_skills.sql;
source char_traits.sql;
source command_access.sql;
source commonstrings.sql;
source factions.sql;
source familiar_types.sql;
source gm_command_log.sql;
source guildlevels.sql;
source guilds.sql;
source hunt_locations.sql;
source item_categories.sql;
source item_instances.sql;
source item_stats.sql;
source item_animations.sql;
source loot_modifiers.sql;
source loot_rules.sql;
source loot_rule_details.sql;
source merchant_item_cats.sql;
source migration.sql;
source movement.sql;
source natural_resources.sql;
source npc_bad_text.sql;
source npc_disallowed_words.sql;
source npc_kas.sql;
source npc_responses.sql;
source npc_spawn_ranges.sql;
source npc_spawn_rules.sql;
source npc_synonyms.sql;
source npc_trigger_groups.sql;
source npc_triggers.sql;
source petitions.sql;
source player_spells.sql;
source progress_events.sql;
source quest_scripts.sql;
source quests.sql;
source race_info.sql;
source sc_locations.sql;
source sc_location_type.sql;
source sc_npc_definitions.sql;
source sc_waypoints.sql;
source sc_waypoint_links.sql;
source sectors.sql;
source security_levels.sql;
source server_options.sql;
source skills.sql;
source spells.sql;
source spell_glyphs.sql;
source trainer_skills.sql;
source traits.sql;
source tribes.sql;
source tribe_members.sql;
source ways.sql;
source trade_combinations.sql;
source trade_patterns.sql;
source trade_processes.sql;
source trade_transformations.sql;
source trade_autocontainers.sql;
source trade_constraints.sql;
source tips.sql;
source char_create_affinity.sql;
