# MySQL-Front 3.2  (Build 13.0)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES */;

/*!40101 SET NAMES latin1 */;
/*!40103 SET TIME_ZONE='SYSTEM' */;

# Host: localhost    Database: planeshift
# ------------------------------------------------------
# Server version 5.0.19-nt

#
# Table structure for table item_instances
#

CREATE TABLE `item_instances` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `char_id_owner` int(10) unsigned default '0',
  `parent_item_id` int(10) unsigned default '0',
  `location_in_parent` smallint(4) unsigned default '0',
  `stack_count` int(10) unsigned NOT NULL default '0',
  `creator_mark_id` int(10) unsigned default '0',
  `guild_mark_id` int(10) unsigned default '0',
  `loc_sector_id` smallint(4) unsigned default '0',
  `loc_x` float(10,2) default '0.00',
  `loc_y` float(10,2) default '0.00',
  `loc_z` float(10,2) default '0.00',
  `loc_yrot` float(10,2) default '0.00',
  `decay_resistance` float(3,2) NOT NULL default '0.00',
  `item_quality` float(5,2) default '50',
  `crafted_quality` float(5,2) default '50',
  `item_stats_id_standard` int(10) unsigned NOT NULL default '0',
  `item_stats_id_unique` int(10) unsigned default '0',
  `location` char(1) default '0',
  `equipped_slot` varchar(30) default 0,
  `flags` varchar(40) default 0,
  `lock_str` int(5) NOT NULL default '0',
  `lock_skill` int(2) NOT NULL default '-1',
  `openable_locks` varchar(100) default 0,
  PRIMARY KEY  (`id`),
  KEY `char_id_owner` (`char_id_owner`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table item_instances
#

# Some axes that are hanging around
INSERT INTO `item_instances` VALUES (1,0,0,0,1,0,0,3,0,2,-200,0,0,50,-1,2,0,'0','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (2,0,0,0,1,0,0,3,4,2,-210,0,0,50,-1,2,0,'0','0','',0,-1,'');

# Smith items
INSERT INTO `item_instances` VALUES (3,5,0,1,1,5,0,0,0,0,0,0,0,50,-1,2,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (4,5,0,2,1,5,0,0,0,0,0,0,0,50,-1,3,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (5,5,0,3,1,5,0,0,0,0,0,0,0,50,-1,4,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (6,5,0,4,1,5,0,0,0,0,0,0,0,50,-1,5,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (7,5,0,5,1,5,0,0,0,0,0,0,0,50,-1,6,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (8,5,0,6,1,5,0,0,0,0,0,0,0,50,-1,7,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (9,5,0,7,1,5,0,0,0,0,0,0,0,50,-1,8,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (10,5,0,8,1,5,0,0,0,0,0,0,0,50,-1,9,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (11,5,0,9,1,5,0,0,0,0,0,0,0,50,-1,10,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (12,5,0,10,1,5,0,0,0,0,0,0,0,50,-1,11,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (13,5,0,11,1,5,0,0,0,0,0,0,0,50,-1,12,0,'I','0','',0,-1,'');

# Guest player items
INSERT INTO `item_instances` VALUES (20,1,0,0,1,5,0,0,0,0,0,0,0,50,-1,13,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (21,1,0,1,1,5,0,0,0,0,0,0,0,50,-1,14,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (22,1,0,2,1,5,0,0,0,0,0,0,0,50,-1,15,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (23,1,0,3,1,5,0,0,0,0,0,0,0,50,-1,71,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (24,1,0,4,1,5,0,0,0,0,0,0,0,50,-1,65,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (25,1,0,5,1,5,0,0,0,0,0,0,0,50,-1,90,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (26,1,0,6,1,1,1,0,0,0,0,0,0,50,-1,69,0,'I','0','',0,-1,'');

# Merchant items
INSERT INTO `item_instances` VALUES (30,8,0,0,1,8,0,0,0,0,0,0,0,50,-1,13,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (31,8,0,1,1,8,0,0,0,0,0,0,0,50,-1,14,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (32,8,0,2,1,8,0,0,0,0,0,0,0,50,-1,15,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (33,8,0,3,1,8,0,0,0,0,0,0,0,50,-1,16,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (34,8,0,4,1,8,0,0,0,0,0,0,0,50,-1,17,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (35,8,0,5,1,8,0,0,0,0,0,0,0,50,-1,18,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (36,8,0,6,1,8,0,0,0,0,0,0,0,50,-1,19,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (37,8,0,7,1,8,0,0,0,0,0,0,0,50,-1,20,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (38,8,0,8,1,8,0,0,0,0,0,0,0,50,-1,21,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (39,8,0,9,1,8,0,0,0,0,0,0,0,50,-1,22,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (40,8,0,10,1,8,0,0,0,0,0,0,0,50,-1,23,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (41,8,0,11,1,8,0,0,0,0,0,0,0,50,-1,24,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (42,8,0,12,1,8,0,0,0,0,0,0,0,50,-1,25,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (43,8,0,13,1,8,0,0,0,0,0,0,0,50,-1,26,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (44,8,0,14,1,8,0,0,0,0,0,0,0,50,-1,27,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (45,8,0,15,1,8,0,0,0,0,0,0,0,50,-1,28,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (46,8,0,16,1,8,0,0,0,0,0,0,0,50,-1,29,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (47,8,0,17,1,8,0,0,0,0,0,0,0,50,-1,44,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (48,8,0,18,1,8,0,0,0,0,0,0,0,50,-1,47,0,'I','0','',0,-1,'');

# acraig items 
INSERT INTO `item_instances` VALUES (50,3,0,3,1,5,0,0,0,0,0,0,0,50,-1,71,0,'I','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (51,3,0,4,1,5,0,0,0,0,0,0,0,50,-1,69,0,'I','0','',0,-1,'');

# vengeance items
INSERT INTO `item_instances` VALUES (60,2,0,0,1,0,0,0,0,0,0,0,0,50,-1,2,0,'E','righthand','',0,-1,'');
INSERT INTO `item_instances` VALUES (61,2,0,0,5,0,0,0,0,0,0,0,0,50,-1,85,0,'I','','',0,-1,'');
INSERT INTO `item_instances` VALUES (62,2,0,1,1,0,0,0,0,0,0,0,0,50,-1,411,0,'I','','',0,-1,'');
INSERT INTO `item_instances` VALUES (63,2,0,2,1,0,0,0,0,0,0,0,0,50,-1,84,0,'I',0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (64,2,0,3,9,0,0,0,0,0,0,0,0,50,-1,103,0,'I',0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (65,2,0,4,1,0,0,0,0,0,0,0,0,50,-1,419,0,'I',0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (66,2,0,5,10,0,0,0,0,0,0,0,0,50,-1,69,0,'I',0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (67,2,0,0,1,0,0,0,0,0,0,0,0,50,-1,71,0,'E','mind','',0,-1,'');

# Wooden bowl and contents
INSERT INTO `item_instances` VALUES (70,0,0,0,1,0,0,3,-3.7,1.07,-180.58,0,0,50,-1,70,0,'0','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (71,0,70,1,1,0,0,3,0,0,0,0,0,50,-1,60,0,'C','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (72,0,70,2,7,0,0,3,0,0,0,0,0,50,-1,61,0,'C','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (73,0,70,3,2,0,0,3,0,0,0,0,0,50,-1,62,0,'C','0','',0,-1,'');

# Book container and contents
INSERT INTO `item_instances` VALUES (80,0,0,0,1,0,0,3,-56.16,-3,-154.73,4.74,0,50,-1,234,0,0,0,'NOPICKUP',0,-1,'');
INSERT INTO `item_instances` VALUES (81,2,80,0,1,0,0,0,0,0,0,0,0,50,-1,2008,0,'C','0','NOPICKUP',0,-1,'');

# Weapons for fighter1 and fighter2
INSERT INTO `item_instances` VALUES (90,6,0,0,1,0,0,0,0,0,0,0,0,50,-1,2,0,'E','righthand','',0,-1,'');
INSERT INTO `item_instances` VALUES (91,7,0,0,1,0,0,0,0,0,0,0,0,50,-1,2,0,'E','righthand','',0,-1,'');

# Items on ground
INSERT INTO `item_instances` VALUES (100,0,0,0,1,0,0,3,-2.72,0.37,-182.03,90,0,50,-1,74,0,'0','0','',0,-1,'');
INSERT INTO `item_instances` VALUES (101,0,0,0,1,0,0,3,-6.67,0.12,-140.5,0,0,50,-1,91,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (102,0,0,0,1,0,0,3,-6.67,0.12,-142.5,0,0,50,-1,92,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (103,0,0,0,1,0,0,3,-6.67,0.12,-144.5,0,0,50,-1,93,0,'0',0,'NOPICKUP',0,-1,'');
INSERT INTO `item_instances` VALUES (104,0,0,0,1,0,0,3,-6.67,0.12,-146.5,0,0,50,-1,94,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (105,0,0,0,1,0,0,3,-6.67,0.12,-148.5,0,0,50,-1,95,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (106,0,0,0,1,0,0,3,-6.67,0.12,-150.5,0,0,50,-1,96,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (107,0,0,0,1,0,0,3,-6.67,0.12,-152.5,0,0,50,-1,97,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (108,0,0,0,1,0,0,3,-6.67,0.12,-154.5,0,0,50,-1,98,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (109,0,0,0,1,0,0,3,-6.67,0.12,-156.5,0,0,50,-1,99,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (110,0,0,0,1,0,0,3,-6.67,0.12,-158.5,0,0,50,-1,100,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (111,0,0,0,1,0,0,3,-6.67,0.12,-160.5,0,0,50,-1,101,0,'0',0,0,0,-1,'');
INSERT INTO `item_instances` VALUES (112,0,0,0,1,0,0,3,-16,0.12,-140.5,0,0,50,-1,412,0,'0',0,'LOCKABLE LOCKED',0,-1,'');
INSERT INTO `item_instances` VALUES (113,0,0,0,1,0,0,3,-15,0.12,-140.5,0,0,50,-1,412,0,'0',0,'LOCKABLE LOCKED',0,-1,'');
INSERT INTO `item_instances` VALUES (114,0,0,0,1,0,0,3,-14,0.12,-140.5,0,0,50,-1,413,0,'0',0,'KEY',0,-1,'112 113');
INSERT INTO `item_instances` VALUES (115,0,0,0,1,0,0,3,-52.77,-4,-157.63,9.03,0,50,-1,4815,0,0,0,'NOPICKUP',0,-1,'');
INSERT INTO `item_instances` VALUES (116,0,0,0,1,0,0,3,-55.34,-4,-157.58,4.15,0,50,-1,4811,0,0,0,'NOPICKUP',0,-1,'');
INSERT INTO `item_instances` VALUES (117,0,0,0,27,0,0,3,-16.6,-0.01,-171.9,0,0,50,-1,91,0,0,0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (118,0,0,0,1,0,0,3,-38.51, 0,-160.54,8.03,0,50,-1,419,0,0,0,'',0,-1,'');
INSERT INTO `item_instances` VALUES (119,0,0,0,1,0,0,3,-16,0.12,-138.5,0,0,50,-1,412,0,'0',0,'LOCKABLE LOCKED',0,-1,'');
INSERT INTO `item_instances` VALUES (120,0,0,0,1,0,0,3,-15,0.12,-138.5,0,0,50,-1,413,0,'0',0,'KEY',0,-1,'119');
INSERT INTO `item_instances` VALUES (121,0,0,0,1,0,0,3,-16,0.12,-136.5,0,0,50,-1,412,0,'0',0,'LOCKABLE LOCKED',0,-1,'');
