# MySQL-Front 3.2  (Build 13.0)

# Host: localhost    Database: planeshift
# ------------------------------------------------------
# Server version 5.0.19-nt

#
# Table structure for table item_stats
#

CREATE TABLE `item_stats` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `stat_type` char(1) NOT NULL default 'B',
  `name` varchar(60) default NULL,
  `weight` float(10,2) NOT NULL default '0.00',
  `visible_distance` float(10,2) NOT NULL default '100.00',
  `size` int(5) unsigned NOT NULL default '1',
  `container_max_size` int(5) unsigned NOT NULL default '1',
  `valid_slots` varchar(255) default 'BULK',
  `flags` varchar(255) default NULL,
  `decay_rate` float(3,2) NOT NULL default '0.10',
  `item_skill_id_1` smallint(3) default '-1',
  `item_skill_id_2` smallint(3) default '-1',
  `item_skill_id_3` smallint(3) default '-1',
  `item_bonus_1_attr` varchar(15) default NULL,
  `item_bonus_2_attr` varchar(15) default NULL,
  `item_bonus_3_attr` varchar(15) default NULL,
  `item_bonus_1_max` float(10,2) default '0.00',
  `item_bonus_2_max` float(10,2) default '0.00',
  `item_bonus_3_max` float(10,2) default '0.00',
  `weapon_speed` float(10,2) default '0.00',
  `weapon_dmg_slash` float(10,2) default '0.00',
  `weapon_dmg_blunt` float(10,2) default '0.00',
  `weapon_dmg_pierce` float(10,2) default '0.00',
  `weapon_dmg_force` float(10,2) default '0.00',
  `weapon_dmg_fire` float(10,2) default '0.00',
  `weapon_dmg_ice` float(10,2) default '0.00',
  `weapon_dmg_air` float(10,2) default '0.00',
  `weapon_dmg_poison` float(10,2) default '0.00',
  `weapon_dmg_disease` float(10,2) default '0.00',
  `weapon_dmg_holy` float(10,2) default '0.00',
  `weapon_dmg_unholy` float(10,2) default '0.00',
  `weapon_dmg_pct_slash` float(10,2) default '0.00',
  `weapon_dmg_pct_blunt` float(10,2) default '0.00',
  `weapon_dmg_pct_pierce` float(10,2) default '0.00',
  `weapon_dmg_pct_force` float(10,2) default '0.00',
  `weapon_dmg_pct_fire` float(10,2) default '0.00',
  `weapon_dmg_pct_ice` float(10,2) default '0.00',
  `weapon_dmg_pct_air` float(10,2) default '0.00',
  `weapon_dmg_pct_poison` float(10,2) default '0.00',
  `weapon_dmg_pct_disease` float(10,2) default '0.00',
  `weapon_dmg_pct_holy` float(10,2) default '0.00',
  `weapon_dmg_pct_unholy` float(10,2) default '0.00',
  `weapon_penetration` float(10,2) default '0.00',
  `weapon_block_targeted` float(10,2) default '0.00',
  `weapon_block_untargeted` float(10,2) default '0.00',
  `weapon_counterblock` float(10,2) default '0.00',
  `armor_hardness` float(10,2) default '0.00',
  `armor_prot_slash` float(10,2) default '0.00',
  `armor_prot_blunt` float(10,2) default '0.00',
  `armor_prot_pierce` float(10,2) default '0.00',
  `armor_prot_force` float(10,2) default '0.00',
  `armor_prot_fire` float(10,2) default '0.00',
  `armor_prot_ice` float(10,2) default '0.00',
  `armor_prot_air` float(10,2) default '0.00',
  `armor_prot_poison` float(10,2) default '0.00',
  `armor_prot_disease` float(10,2) default '0.00',
  `armor_prot_holy` float(10,2) default '0.00',
  `armor_prot_unholy` float(10,2) default '0.00',
  `cstr_id_gfx_mesh` int(10) unsigned NOT NULL default '0',
  `cstr_id_gfx_icon` int(10) unsigned NOT NULL default '0',
  `cstr_id_gfx_texture` int(10) unsigned NOT NULL default '0',
  `cstr_id_part` int(10) NOT NULL default '0',
  `cstr_id_part_mesh` int(10) NOT NULL default '0',
  `armorvsweapon_type` varchar(20) default NULL,
  `category_id` int(8) unsigned default '0',
  `base_sale_price` float(10,2) default '0.00',
  `item_type` varchar(30) default NULL,
  `requirement_1_name` varchar(30) default NULL,
  `requirement_1_value` float(10,2) default '0.00',
  `requirement_2_name` varchar(30) default NULL,
  `requirement_2_value` float(10,2) default '0.00',
  `requirement_3_name` varchar(30) default '0',
  `requirement_3_value` float(10,2) default '0.00',
  `item_type_id_ammo` int(10) unsigned default '0',
  `spell_id_on_hit` int(10) unsigned default NULL,
  `spell_on_hit_prob` float(6,4) default '0.0000',
  `spell_id_feature` int(10) unsigned default NULL,
  `spell_feature_charges` int(10) default '0',
  `spell_feature_timing` int(10) default NULL,
  `item_anim_id` int(10) unsigned default '0',
  `description` text,
  `sound` varchar(40) default 'nosound',
  `item_max_quality` int(4) default '100',
  `prg_evt_equip` text,
  `prg_evt_unequip` text,
  `illum_definition` text COMMENT 'This is used for map/sketch xml',
  PRIMARY KEY  (`id`),
  KEY `stat_type` (`stat_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table item_stats
#

INSERT INTO `item_stats` VALUES (1,'B','Fist',0,100,0,0,'LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'Hammer',0,0,'HAMMER','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (2,'B','Small Battle Axe',5,5,100,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,2,-1,-1,'0','0','0',0,0,0,4,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Axe',1,350,'AXE','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','smallaxe',50,'','',NULL);
INSERT INTO `item_stats` VALUES (3,'B','Battle Axe',10,5,150,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,2,-1,-1,'0','0','0',0,0,0,4,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,30,31,0,0,0,'Axe',1,650,'AXE','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (4,'B','Broad Sword',7,5,100,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,32,33,0,0,0,'Sabre',1,150,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (5,'B','Claymore',9,5,120,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,34,35,0,0,0,'Claymore',1,800,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (6,'B','Gold Falchion',8,5,80,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,36,37,0,0,0,'Sabre',1,550,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (7,'B','Falchion',7,5,80,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,38,39,0,0,0,'Sabre',1,500,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (8,'B','Steel Falchion',6.5,5,80,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,40,41,0,0,0,'Sabre',1,450,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (9,'B','Mug',1,5,20,0,'BULK LEFTHAND RIGHTHAND MIND','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,50,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (10,'B','Hatchet',2,5,60,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,2,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.2,0,0,0,0,0,0,0,0,0,0,0,0,44,45,0,0,0,'Axe',1,100,'AXE','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (11,'B','Sabre',5,5,60,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,47,0,0,0,'Sabre',1,250,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (12,'B','Galkard',7,5,100,0,'BULK LEFTHAND RIGHTHAND','MELEEWEAPON',0.1,0,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,0,0,0,'Sabre',1,1000,'SWORD','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (13,'B','Arrow',0,5,40,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,50,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (14,'B','Door',0,5,300,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,51,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (15,'B','Energy',0,5,1,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,52,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (16,'B','Faith',0,5,1,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,53,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (17,'B','Light',0,5,1,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,54,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (18,'B','Sight',0,5,1,0,'BULK,CRYSTAL','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,55,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (19,'B','Air',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,56,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (20,'B','Bond',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,57,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (21,'B','Dome',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,58,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (22,'B','Fly',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,59,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (23,'B','Gas',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,60,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (24,'B','Humanoid',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,61,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (25,'B','Mind',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,62,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (26,'B','Sleep',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,63,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (27,'B','Sound',0,5,1,0,'BULK,AZURE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,64,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (28,'B','Chaos',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,65,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (29,'B','Fire',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,66,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (30,'B','Meteor',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,67,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (31,'B','Might',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,68,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (32,'B','Vortex',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,69,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (33,'B','Weapon',0,5,1,0,'BULK,RED','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,70,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (34,'B','Blindness',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,71,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (35,'B','Deamon',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,72,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (36,'B','Darkness',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,73,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (37,'B','Death',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,74,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (38,'B','Entropy',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,75,0,0,0,'2b',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (39,'B','Illness',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,76,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (40,'B','Negative',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,77,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (41,'B','Weakness',0,5,1,0,'BULK,DARK','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,78,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (42,'B','Animal',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,79,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (43,'B','Armor',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,80,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (44,'B','Creature',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,81,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (45,'B','Earth',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,82,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (46,'B','Rock',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,83,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (47,'B','Summon',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,84,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (48,'B','Tree',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,85,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (49,'B','Wall',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,86,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (50,'B','Weight',0,5,1,0,'BULK,BROWN','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,87,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (51,'B','Cold',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,88,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (52,'B','Divination',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,89,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (53,'B','Key',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,90,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (54,'B','Object',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,91,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (55,'B','Poison',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,92,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (56,'B','Purify',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,93,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (57,'B','Sphere',0,5,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,94,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (58,'B','Water',0,10,1,0,'BULK,BLUE','STACKABLE,GLYPH',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,95,0,0,0,'0',5,2000,'GLYPH','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (59,'B','Chest',1,10,70,65,'BULK','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,111,112,0,0,0,'3c',3,200,'CONTAINER','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (60,'B','Egg',1,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,114,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (61,'B','Milk',1,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,114,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (62,'B','Flour',1,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,114,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (63,'B','Honey',1,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,114,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (64,'B','Ground nuts',1,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,114,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (65,'B','Wooden spoon',2,5,25,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.1,0,0,0,0,0,0,0,0,0,0,0,0,44,45,0,0,0,'Hammer',1,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (66,'B','Nutty batter',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (67,'B','Sweet batter',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (68,'B','Superb batter',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (69,'B','Batter',2,25,10,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (70,'B','Wooden bowl',1,25,40,35,'BULK LEFTHAND RIGHTHAND','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'Hammer',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (71,'B','Gareths waybread recipe',1,25,1,0,'BULK MIND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'RECIPE','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_mind','de_equip_mind',NULL);
INSERT INTO `item_stats` VALUES (72,'B','Burnt bread',2,25,8,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (73,'B','Pile of dust',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (74,'B','Oven',1,500,65535,300,'','CONTAINER CANTRANSFORM',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,111,112,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (75,'B','Gobblygook',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (76,'B','Slop',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (77,'B','Nutty slop',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (78,'B','Sweet slop',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (79,'B','Superb slop',2,25,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (80,'B','Waybread',2,25,8,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (81,'B','Nutty Waybread',2,25,8,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (82,'B','Sweet Waybread',2,25,8,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (83,'B','Superb Waybread',2,25,8,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,116,0,0,0,'0',3,0,'FOOD','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (84,'B','Rock Pick',5,5,1,0,'BULK, RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (85,'B','Gold Ore',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',16,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (86,'B','Tria',10,5,1,0,'TRIA','TRIA',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'n/a',21,1,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (87,'B','Hexa',10,5,1,0,'HEXA','HEXA',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'n/a',21,6,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (88,'B','Octa',10,5,1,0,'OCTA','OCTA',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'n/a',21,55,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (89,'B','Circle',10,5,1,0,'CIRCLE','CIRCLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'n/a',21,275,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (90,'B','Mixer',2,5,25,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.1,0,0,0,0,0,0,0,0,0,0,0,0,44,45,0,0,0,'0',1,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (91,'B','Potion of Speed',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,155,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_speed_potion','',NULL);
INSERT INTO `item_stats` VALUES (92,'B','Potion of Confusion',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_strange_potion','',NULL);
INSERT INTO `item_stats` VALUES (93,'B','Potion No Pickup',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,155,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_potion','',NULL);
INSERT INTO `item_stats` VALUES (94,'B','Potion of Healing',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,155,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_potion','',NULL);
INSERT INTO `item_stats` VALUES (95,'B','Poison Bottle',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,155,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_poison','',NULL);
INSERT INTO `item_stats` VALUES (96,'B','Potion of Ulber Power',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'morph_ulbernaut','',NULL);
INSERT INTO `item_stats` VALUES (97,'B','Potion of Strong Legs',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'stronglegs','',NULL);
INSERT INTO `item_stats` VALUES (98,'B','Rain Potion',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'rain','',NULL);
INSERT INTO `item_stats` VALUES (99,'B','Nitroglycerin',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'explosion','',NULL);
INSERT INTO `item_stats` VALUES (100,'B','Potion 10',0,100,1,1,'BULK','STACKABLE CONSUMABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,156,0,0,0,'0',7,0,NULL,NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'0','nosound',50,'drink_potion','',NULL);
INSERT INTO `item_stats` VALUES (101,'B','Book',1,5,20,0,'BULK LEFTHAND RIGHTHAND MIND','READABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'The Ancient Tome of Test:  Years ago, some guy was lame','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (102,'B','Iron Ore',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',16,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (103,'B','Coal',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (104,'B','Coke',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (105,'B','Smelter',1,500,65535,300,'','CONTAINER CANTRANSFORM',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,111,112,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (106,'B','Hot Coke',10,5,1,0,'','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (107,'B','Pig Iron',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (110,'B','Wrought Iron Ingot',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (111,'B','Short Iron Bar',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (112,'B','Iron Bar',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (113,'B','Long Iron Bar',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (114,'B','Mangled Iron Piece',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (115,'B','Clay',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (116,'B','Sand',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (117,'B','Potters Wheel',1,500,65535,300,'','CONTAINER CANTRANSFORM',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,111,112,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (118,'B','Clay Mold',5,5,1,0,'BULK, RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (119,'B','Casting Mold',5,5,1,0,'BULK, RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (120,'B','Fishing reel design',1,25,1,0,'BULK MIND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'RECIPE','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_mind','de_equip_mind',NULL);
INSERT INTO `item_stats` VALUES (121,'B','Fishing Reel',5,5,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (122,'B','Fishing Rod',1,25,40,35,'BULK LEFTHAND RIGHTHAND','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (123,'B','Iron Pole',10,5,1,0,'BULK,RIGHTHAND,LEFTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',7,50,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (124,'B','Hammer Head',5,5,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (125,'B','Hammer head design',1,25,1,0,'BULK MIND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'RECIPE','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_mind','de_equip_mind',NULL);
INSERT INTO `item_stats` VALUES (126,'B','Wood Shaft',5,5,1,0,'BULK','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,1,2,3,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'0',6,0,'TOOL','',0,'',0,'0',0,0,0,0,0,0,0,1,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (127,'B','Anvil design',1,25,1,0,'BULK MIND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'RECIPE','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_mind','de_equip_mind',NULL);
INSERT INTO `item_stats` VALUES (128,'B','Small key',1,25,1,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (129,'B','Ring of HP',1,25,1,0,'BULK LEFTFINGER RIGHTFINGER','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_ring_hp','de_equip_ring_hp',NULL);
INSERT INTO `item_stats` VALUES (130,'B','Ring of mana',1,25,1,0,'BULK LEFTFINGER RIGHTFINGER','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_ring_mana','undo_equip',NULL);
INSERT INTO `item_stats` VALUES (131,'B','Ring of strength',1,25,1,0,'BULK LEFTFINGER RIGHTFINGER','STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,0,'GENERIC','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'equip_ring_strength','undo_equip',NULL);
INSERT INTO `item_stats` VALUES (234,'B','Book Container',1,100,1,20,'BULK','CONTAINER STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,151,0,0,0,'0',3,4,'GENERIC','',0,'',0,'',0,0,0,0,0,0,0,1,'A Book Container','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (319,'B','Iron Stock',3,100,5,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,151,0,0,0,'0',16,10,'','',0,'',0,'',0,0,0,0,0,0,0,1,'Long metal bars of iron used in smiting.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (408,'B','basecloths',1,100,1,0,'ARMS BOOTS GLOVES HEAD TORSO LEGS','ARMOR',0.1,7,-1,-1,'0','0','0',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,'1a',0,0,'ARMOR','',0,'',0,'',0,0,0,0,0,0,0,1,'Clothes used in combat when no other armor is available','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (409,'B','Long Bow',2,100,1,5,'BULK RIGHTHAND LEFTHAND','RANGEWEAPON USESAMMO',0.1,6,-1,-1,'0','0','0',0,0,0,2,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,29,0,0,'Stick',1,25,'BOW','',0,'',0,'',0,410,0,0,0,0,0,0,'A long bow of normal quality. Common among rangers and is reputed for its long range.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (410,'B','Bronze Arrow',0.25,100,1,1,'BULK RIGHTHAND LEFTHAND','AMMO',0.1,-1,-1,-1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,29,29,0,0,'Arrow',1,0,'ARROW',NULL,0,NULL,0,'0',0,0,NULL,0,NULL,0,NULL,0,'Simple bronze arrows that deal a bit less damage than iron arrows. These are cheap and easily available in huge amounts.','nosound',50,NULL,NULL,NULL);
INSERT INTO `item_stats` VALUES (411,'B','Item of Create Familiar',1,100,1,0,'BULK RIGHTFINGER LEFTFINGER','QUESTITEM STACKABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,185,186,0,0,0,'0',3,400,'GENERIC','',0,'',0,'',0,0,0,0,0,0,0,1,'','nosound',50,'create_familiar','',NULL);
INSERT INTO `item_stats` VALUES (412,'B','Small Box',1,10,70,65,'BULK','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'3c',3,200,'CONTAINER','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (413,'B','Small Key',1,10,70,65,'BULK RIGHTHAND LEFTHAND','CONTAINER',0.1,-1,-1,-1,'0','0','0',0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'3c',3,200,'CONTAINER','',0,'',0,'0',0,0,0,0,0,0,0,0,'0','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (416,'B','Leather Torso Armor',5,100,10,0,'TORSO BULK','ARMOR',0.1,7,-1,-1,'STR','AGI','',4,4,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2.5,2,0,0,0,0,0,0,0,0,132,156,2706,2701,0,'1c',2,500,'ARMOR','',0,'',0,'',0,0,0,0,0,0,0,1,'A simple leather armor covering the torso','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (417,'B','Chainmail Torso Armor',5,100,10,0,'TORSO BULK','ARMOR',0.1,7,-1,-1,'STR','AGI','',4,4,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2.5,2,0,0,0,0,0,0,0,0,132,156,211,2701,0,'1c',2,500,'ARMOR','',0,'',0,'',0,0,0,0,0,0,0,1,'A simple leather armor covering the torso','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (418,'B','Plate Torso Armor',5,100,10,0,'TORSO BULK','ARMOR',0.1,7,-1,-1,'STR','AGI','',4,4,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2.5,2,0,0,0,0,0,0,0,0,132,156,216,2701,221,'1c',2,500,'ARMOR','',0,'',0,'',0,0,0,0,0,0,0,1,'A simple leather armor covering the torso','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (419,'B','Treasure Map',1,5,1,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0,-1,1,1,'0','0','0',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,43,0,0,0,'0',3,50,'GENERIC',NULL,0,NULL,0,'0',0,0,0,0,0,0,0,0,NULL,'nosound',100,NULL,NULL,'<pages><page><back bg=\"leather\" w=\"450\" h=\"300\"/></page></pages>');

INSERT INTO `item_stats` VALUES (462,'B','Armors repair kit',5,100,5,0,'BULK RIGHTHAND LEFTHAND','STACKABLE',0.1,'30',-1,-1,'','','',0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,157,0,0,0,'0',2,50,'HAMMER','',0,'',0,'',0,0,0,0,0,0,0,1,'A kit of spare parts and tools that allows you to repair an armor','nosound',100,'','','');
INSERT INTO `item_stats` VALUES (531,'B','Weapons repair kit',4,100,4,0,'BULK RIGHTHAND LEFTHAND','STACKABLE',0.1,33,-1,-1,0,0,0,0,0,0,1,0.1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.1,0,0.1,0,0,0,0,0,0,0,0,0,0,0,0,149,157,0,0,0,'Hammer',1,40,'HAMMER','',0,'',0,'',0,0,0,0,0,0,0,1,'A kit of spare parts and tools that allows you to repair a weapon','nosound',1,'','','');

INSERT INTO `item_stats` VALUES (2008,'B','Book of the bug fixer',2,100,1,0,'BULK','READABLE',0.1,-1,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,151,0,0,0,'0',13,100,'GENERIC','',0,'',0,'',0,0,0,0,0,0,0,1,'Bards tell that there are magical ways to fix bugs. The knowledge you have to obtain can be found in the Dark Way.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (3013,'B','Catalog of Shields',1,100,15,0,'BULK MIND','STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,149,157,0,0,0,'0',15,400,'RECIPE','',0,'',0,'',0,0,0,0,0,0,0,1,'Extensive catalog of shield designs.  Armed with these designs, a skilled smith will be able to construct most common shields.  The illustrations show how a variety of shield cores can be created by hammering different amounts of hot metal that is shaped upon the anvil with a hammer.  The shield core can then be combined with a shield handle to create the final piece of equipment.','nosound',50,'equip_mind','de_equip_mind',NULL);
INSERT INTO `item_stats` VALUES (4085,'B','Heated Iron Stock',3,100,5,0,'BULK LEFTHAND RIGHTHAND','STACKABLE EQUIP_STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,151,0,0,0,'0',16,10,'','',0,'',0,'',0,0,0,0,0,0,0,1,'Long metal bars of iron used in smiting that are yellow hot.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (4320,'B','Iron Half Circle',1,100,5,0,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,156,0,0,0,'0',17,10,'','',0,'',0,'',0,0,0,0,0,0,0,1,'Almost half the size of a small buckler these metal half circles help protect the center of the shield.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (4811,'B','Anvil',99999,100,128,50,'BULK','STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,131,155,0,0,0,'0',6,2000,'TOOL','',0,'',0,'',0,0,0,0,0,0,0,1,'Smith equipment for hammering items against.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (4815,'B','Forge',99999,100,1,50,'BULK','CONTAINER CANTRANSFORM',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,111,112,0,0,0,'0',6,5000,'TOOL','',0,'',0,'',0,0,0,0,0,0,0,1,'A standard smith forge used to heat metal so it is malleable.','nosound',50,'','',NULL);
INSERT INTO `item_stats` VALUES (4816,'B','Hammer',3,100,3,50,'BULK LEFTHAND RIGHTHAND','STACKABLE',0.1,4,-1,-1,'0','0','0',0,0,0,2.1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0.2,0.2,0.2,0,0,0,0,0,0,0,0,0,0,0,0,28,29,0,0,0,'Hammer',6,50,'TOOL','',0,'',0,'',0,0,0,0,0,0,0,1,'A simple smith hammer.','nosound',50,'','',NULL);

