# MySQL-Front Dump 1.16 beta
#
# Host: localhost Database: planeshift
#--------------------------------------------------------
# Server version 3.23.52-max-nt
#
# Table structure for table 'natural_resources'
#

CREATE TABLE natural_resources (
  id int(10) unsigned NOT NULL auto_increment,
  loc_sector_id int(10) unsigned NOT NULL default '0',
  loc_x float(10,2) DEFAULT '0.00' ,
  loc_y float(10,2) DEFAULT '0.00' ,
  loc_z float(10,2) DEFAULT '0.00' ,
  radius float(10,2) DEFAULT '0.00' ,
  visible_radius float(10,2) DEFAULT '0.00' ,
  probability float(10,6) DEFAULT '0.000000' ,
  skill smallint(4) unsigned DEFAULT '0' ,
  skill_level int(3) unsigned DEFAULT '0' ,
  item_cat_id int(8) unsigned DEFAULT '0' ,
  item_quality float(10,6) DEFAULT '0.000000' ,
  animation varchar(30) ,
  anim_duration_seconds int(10) unsigned DEFAULT '0' ,
  item_id_reward int(10) unsigned DEFAULT '0' ,
  reward_nickname varchar(30) DEFAULT '0' ,
  PRIMARY KEY (id)
);


#
# Dumping data for table 'natural_resources'
#

INSERT INTO natural_resources VALUES("1",3,"-50.00","0.00","-150.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","85","gold");
INSERT INTO natural_resources VALUES("2",3,"-50.00","0.00","-150.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","102","iron");
INSERT INTO natural_resources VALUES("3",3,"-50.00","0.00","-150.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","103","coal");
INSERT INTO natural_resources VALUES("4",3,"-50.00","0.00","-150.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","115","clay");
INSERT INTO natural_resources VALUES("5",3,"-50.00","0.00","-150.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","116","sand");
INSERT INTO natural_resources VALUES("6",3,"-80.00","0.00","-145.00","40.00","50.0","0.200000","37","50","6","0.500000","greet","10","85","gold");
