# MySQL-Front 3.2  (Build 13.0)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES */;

/*!40101 SET NAMES latin1 */;
/*!40103 SET TIME_ZONE='SYSTEM' */;

# Host: localhost    Database: planeshift
# ------------------------------------------------------
# Server version 5.0.19-nt

#
# Table structure for table npc_responses
#

CREATE TABLE `npc_responses` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `response1` text,
  `response2` text,
  `response3` text,
  `response4` text,
  `response5` text,
  `pronoun_him` varchar(30) default '',
  `pronoun_her` varchar(30) default '',
  `pronoun_it` varchar(30) default '',
  `pronoun_them` varchar(30) default '',
  `script` blob,
  `quest_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB;

#
# Dumping data for table npc_responses
#

INSERT INTO `npc_responses` VALUES (1,'Hello $playername.','Hello friend.','Hi.  What can I do for you?','Go away!','Whatever dude...','0','0','0','0','<response><respondpublic/><action anim=\"greet\"/></response>',0);
INSERT INTO `npc_responses` VALUES (2,'I\'m fine and you?','Terrible... what a day...','Comme ci, comme ca... et toi?','Va bene, e tu?','','0','0','0','0','',0);
INSERT INTO `npc_responses` VALUES (3,'Later.','May the Crystal shine brightly on you.','Goodbye $playername.','','','0','0','0','0','',0);
INSERT INTO `npc_responses` VALUES (7,'Oh that would be Kadel.  She owns the tavern.','','','','','','kadel','tavern','','',0);
INSERT INTO `npc_responses` VALUES (8,'She\'s the hottest babe in Yliakum, if you want my opinion.','','','','','','kadel','yliakum','','',0);
INSERT INTO `npc_responses` VALUES (9,'Greetings $sir','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (10,'You\'re not bad for a $playerrace.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (11,'I\'m just a simple peasant.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (12,'I\'m the great creator of many weapons.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (15,'I will train you','','','','','','','','','<response><respond/><train skill=\"Sword\"/></response>',0);
INSERT INTO `npc_responses` VALUES (16,'No way I train you','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (17,'Thanks, friend.','What a lovely gesture.','','','','','','','','<response><respond/><action anim=\"greet\"/></response>',0);
INSERT INTO `npc_responses` VALUES (18,'Umm, didn\'t you just say that?','I feel like I\'m repeating myself here','Don\'t be annoying.','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (19,'Oh weird, it\'s like deja vu!','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (20,'I have already responded to that and I will not do so again, $sir!','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (21,'I\'m not giving you anything.  What have you given me?','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (22,'Ok, I will give you some exp.','','','','','','','','','<response><respond/><run scr=\"give_exp\" param0=\"200\" /></response>',0);
INSERT INTO `npc_responses` VALUES (23,'Hi $sir!, I will say thank you for 11 trias.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (24,'You are speaking strangely, please rephrase.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (25,'this is my error response.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (26,'I QuestMaster1 test Quest sub step control[Type \'step2\', verify error response. Type \'step1\', verify quest started and follow instructions], and Quest lockouts[Type \'quest2\', veriyf quest started and follow instructions.]','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (27,'I QuestMaster2 test Quest prerequisites[Type \'quest2\', verify error response. Type \'quest1\', verify quest assigned and follow instructions]','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (28,'I have the following fruits: apple, orange','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (29,'You asked for apple','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (30,'You asked for orange','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (31,'A greeting from DictMaster2','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (32,'I have the following fruits: pear, plum','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (33,'You asked for pear','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (34,'You asked for plum','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (35,'How rude! You asked for about me, without saying hello.','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (36,'You asked for about me','','','','','','','','','',0);
INSERT INTO `npc_responses` VALUES (37,'Welcome to npcroom, $playername.  Do you need help?',NULL,NULL,NULL,NULL,'','','','',NULL,0);
INSERT INTO `npc_responses` VALUES (38,'Be thee friend or foe, stranger?',NULL,NULL,NULL,NULL,'','','','',NULL,0);
INSERT INTO `npc_responses` VALUES (39,'Hark!  Who goes there?',NULL,NULL,NULL,NULL,'','','','',NULL,0);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
