# MySQL-Front 3.2  (Build 13.0)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES */;

/*!40101 SET NAMES latin1 */;
/*!40103 SET TIME_ZONE='SYSTEM' */;

# Host: localhost    Database: planeshift
# ------------------------------------------------------
# Server version 5.0.19-nt

#
# Table structure for table npc_triggers
#

CREATE TABLE `npc_triggers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `trigger` varchar(255) default NULL,
  `response_id` int(10) unsigned default '0',
  `prior_response_required` int(10) unsigned default '0',
  `min_attitude_required` int(5) default '0',
  `max_attitude_required` int(5) default '0',
  `area` varchar(30) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB;

#
# Dumping data for table npc_triggers
#

INSERT INTO `npc_triggers` VALUES (1,'greetings',1,0,0,200,'general');
INSERT INTO `npc_triggers` VALUES (2,'how you',2,0,0,200,'general');
INSERT INTO `npc_triggers` VALUES (3,'goodbye',3,0,0,200,'general');
INSERT INTO `npc_triggers` VALUES (4,'about you',11,0,0,200,'general');
INSERT INTO `npc_triggers` VALUES (5,'about you',12,0,10,200,'Smith');
INSERT INTO `npc_triggers` VALUES (6,'train',15,0,0,200,'Smith');
INSERT INTO `npc_triggers` VALUES (7,'train',16,0,-200,0,'Smith');
INSERT INTO `npc_triggers` VALUES (8,'train',15,0,-200,200,'Merchant');
INSERT INTO `npc_triggers` VALUES (9,'<l money=\"0,0,0,11\"></l>',17,23,-200,200,'Merchant');
INSERT INTO `npc_triggers` VALUES (10,'repeat just now',18,0,-100,100,'general');
INSERT INTO `npc_triggers` VALUES (11,'repeat recently',19,0,-100,100,'general');
INSERT INTO `npc_triggers` VALUES (12,'repeat already',20,0,-100,100,'general');
INSERT INTO `npc_triggers` VALUES (13,'give me thing',21,0,-100,100,'general');
INSERT INTO `npc_triggers` VALUES (14,'givemeexp',22,0,-100,100,'Smith');
INSERT INTO `npc_triggers` VALUES (15,'about you',23,0,0,200,'Merchant');
INSERT INTO `npc_triggers` VALUES (16,'error',24,0,-200,200,'general');
INSERT INTO `npc_triggers` VALUES (17,'error',25,0,-100,100,'QuestMaster1');
INSERT INTO `npc_triggers` VALUES (18,'error',25,0,-100,100,'QuestMaster2');
INSERT INTO `npc_triggers` VALUES (19,'greetings',26,0,-100,100,'QuestMaster1');
INSERT INTO `npc_triggers` VALUES (20,'greetings',27,0,-100,100,'QuestMaster2');
INSERT INTO `npc_triggers` VALUES (21,'give me fruit',28,0,-200,200,'DictMaster1');
INSERT INTO `npc_triggers` VALUES (22,'give me apple',29,0,-200,200,'DictMaster1');
INSERT INTO `npc_triggers` VALUES (23,'give me orange',30,0,-200,200,'DictMaster1');
INSERT INTO `npc_triggers` VALUES (24,'greetings',31,0,-100,100,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (25,'give me fruit',32,0,-200,200,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (26,'give me pear',33,0,-200,200,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (27,'give me plum',34,0,-200,200,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (28,'about you',35,0,-200,200,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (29,'about you',36,0,-200,200,'DictMaster2');
INSERT INTO `npc_triggers` VALUES (30,'!veryshortrange',37,0,-200,200,'general');
INSERT INTO `npc_triggers` VALUES (31,'!shortrange',38,0,-200,200,'general');
INSERT INTO `npc_triggers` VALUES (32,'!longrange',39,0,-200,200,'general');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
