# MySQL-Front Dump 1.16 beta
#
# Host: localhost Database: planeshift
#--------------------------------------------------------
# Server version 4.0.18-max-nt
#
# Table structure for table `race_info`
#

CREATE TABLE `race_info` (
  `race_id` int(10) NOT NULL default '0',
  `name` varchar(35) NOT NULL default '',
  `cstr_id_mesh` int(10) NOT NULL default '0',
  `sex` char(1) NOT NULL default 'M',
  `start_x` float(10,2) default '0.00',
  `start_y` float(10,2) default '0.00',
  `start_z` float(10,2) default '0.00',
  `size_x` float unsigned default '0',
  `size_y` float unsigned default '0',
  `size_z` float unsigned default '0',
  `start_sector_id` int(10) default NULL,
  `start_yrot` float(10,2) default '0.00',
  `cstr_id_base_texture` int(10) unsigned NOT NULL default '0',
  `initial_cp` int(10) default '0',
  `start_str` int(5) NOT NULL default '50',
  `start_end` int(5) NOT NULL default '50',
  `start_agi` int(5) NOT NULL default '50',
  `start_int` int(5) NOT NULL default '50',
  `start_will` int(5) NOT NULL default '50',
  `start_cha` int(5) NOT NULL default '50',
  `base_physical_regen_still` float NOT NULL default '0',
  `base_physical_regen_walk` float NOT NULL default '0',
  `base_mental_regen_still` float NOT NULL default '0',
  `base_mental_regen_walk` float NOT NULL default '0',
  `armor_id` int(10) default '0',
  `helm` varchar(20) default '',
  PRIMARY KEY  (`race_id`)
) TYPE=MyISAM;

#
# Dumping data for table `race_info`
#

INSERT INTO `race_info` VALUES (0, 'StoneBreaker', 125, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (1, 'Enkidukai', 127, 'M', '2.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (2, 'Ynnwn', 103, 'M', '4.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (3, 'Ylian', 102, 'M', '-2.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (4, 'Xacha', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (5, 'Nolthrir', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (6, 'Dermorian', 108, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (7, 'Hammerwielder', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (8, 'Diaboli', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (9, 'Kran', 105, 'N', '-4.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (10, 'Lemur', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (11, 'Klyros', 125, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', 'ylianm');
INSERT INTO `race_info` VALUES (12, 'Enkidukai', 128, 'F', '-4.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (13, 'StoneBreaker', 126, 'F', '-2.00', '-2.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', 'ylianm');
INSERT INTO `race_info` VALUES (14, 'Ynnwn', 130, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (15, 'Ylian', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (16, 'Xacha', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (17, 'Nolthrir', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (18, 'Dermorian', 125, 'F', '0.00', '-4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (19, 'Hammerwielder', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (20, 'Diaboli', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (21, 'Lemur', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (22, 'Klyros', 125, 'F', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (23, 'Rogue', 187, 'M', '0.00', '0.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (24, 'Clacker', 117, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (25, 'Rat', 118, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (26, 'Grendol', 119, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (27, 'Gobble', 120, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (28, 'Consumer', 121, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (29, 'Trepor', 122, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (30, 'Ulbernaut', 123, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
INSERT INTO `race_info` VALUES (31, 'Tefusang', 124, 'M', '-20.00', '4.00', '-150.00', '0', '0', '0', 3, '0.00', 19, 100, 50, 50, 50, 50, 50, 0, '10', '10', '10', '10', '0', '');
 
