# MySQL-Front Dump 1.16 beta
#
# Host: localhost Database: planeshift
#--------------------------------------------------------
# Server version 3.23.52-max-nt
#
# Table structure for table 'trade_transformations'
#

CREATE TABLE trade_transformations (
  id int(10) unsigned NOT NULL auto_increment,
  pattern_id int(10) unsigned NOT NULL,                         # pattern for transformation
  process_id int(10) unsigned NOT NULL,                         # process for transformation
  result_id int(10) unsigned NOT NULL,                  	# resulting item
  result_qty int(8) unsigned NOT NULL ,                         # resulting item quantity
  item_id int(10) unsigned NOT NULL,                         	# item to be transformed
  item_qty int(8) unsigned NOT NULL ,                           # required quantity for transformation
  trans_points int(8) unsigned NOT NULL DEFAULT '0' ,           # ammount of time to complete transformation
  penilty_pct float(10,6) NOT NULL DEFAULT '1.000000' ,     # percent of quality for resulting item 
  description varchar(255) NOT NULL DEFAULT '' ,
  PRIMARY KEY (id)
);


#
# Dumping data for table 'trade_transformations'
#

INSERT INTO trade_transformations VALUES(1,1,1,69,1,76,1,10,0.400000,'You mix waybread slop into batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(2,1,2,66,1,77,1,10,0.600000,'You mix waybread nutty slop into nutty batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(3,1,2,67,1,78,1,10,0.800000,'You mix waybread sweet slop into sweet batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(4,1,2,68,1,79,1,10,1.000000,'You mix waybread superb slop into superb batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(5,1,3,69,1,76,1,10,0.400000,'You mix waybread slop into batter in mixing bowl with mixer.');
INSERT INTO trade_transformations VALUES(6,1,4,80,1,69,1,20,0.400000,'You bake waybread batter into waybread in oven.');
INSERT INTO trade_transformations VALUES(7,1,4,81,1,66,1,20,0.600000,'You bake nutty waybread batter into nutty waybread in oven.');
INSERT INTO trade_transformations VALUES(8,1,4,82,1,67,1,20,0.800000,'You bake sweet waybread batter into sweet waybread in oven.');
INSERT INTO trade_transformations VALUES(9,1,4,83,1,68,1,20,1.000000,'You bake superb waybread batter into superb waybread in oven.');
INSERT INTO trade_transformations VALUES(10,1,4,72,1,80,1,40,0.100000,'You bake waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(11,1,4,72,1,81,1,40,0.100000,'You bake nutty waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(12,1,4,72,1,82,1,40,0.100000,'You bake sweet waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(13,1,4,72,1,83,1,40,0.100000,'You bake superb waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(14,1,4,73,1,72,1,40,0.010000,'You bake burnt waybread into dust in oven.');
INSERT INTO trade_transformations VALUES(15,1,4,0,0,73,1,60,1.000000,'You bake dust until it disappears in oven.');
INSERT INTO trade_transformations VALUES(16,0,5,106,0,104,0,20,1.000000,'You blast coke into hot coke.');
INSERT INTO trade_transformations VALUES(17,0,5,107,0,102,0,20,1.000000,'You blast iron ore into pig iron.');
INSERT INTO trade_transformations VALUES(18,2,6,110,1,107,1,20,1.000000,'You hammer pig iron into a wrought iron ingot.');
INSERT INTO trade_transformations VALUES(19,2,6,111,1,110,2,20,1.000000,'You hammer two wrought iron ingots into a short iron bar.');
INSERT INTO trade_transformations VALUES(20,2,6,112,1,111,2,20,1.000000,'You hammer two short iron bars into an iron bar.');
INSERT INTO trade_transformations VALUES(21,2,6,113,1,112,2,20,1.000000,'You hammer two iron bars into a long iron bar.');
INSERT INTO trade_transformations VALUES(22,2,7,121,1,113,1,20,1.000000,'You cast a fishing reel from long iron bar.');
