Name:		planeshift-client
Summary:	a 3d mmorpg - Tech Preview
Version:	0.0.4
Release:	1
License:	GPL
Group:		Amusements/Games
# hack, hack...
Source:		file:/home/matze/planeshift.tar.gz
BuildRoot:	/var/tmp/%{name}-buildroot
URL:		http://www.planeshift.it
Requires:	crystal-planeshift-snapshot cel-planeshift-snapshot
Prefix:		/usr/local/games/planeshift

%description
Planeshift a 3d mmorpg. This is a Tech Preview that allows walking around and
chatting.

%prep
%setup -q -n planeshift

%build
if [ ! -f configure ]; then
	./autogen.sh
fi
export CRYSTAL=/usr/local/crystal
export CEL=/usr/local/crystal
export CSCONFPATH=$CEL
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

csprefix=/usr/local/crystal
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/crystal/data
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib

#VERY hacky...
./psclient -help

install -m 755 src/client/psclient $RPM_BUILD_ROOT%{prefix}/bin/psclient-exec
PLUGINS="pfcharacterdata.so pflinearmovement.so psgui.so pssound.so"
for i in $PLUGINS; do cp -p $i $RPM_BUILD_ROOT%{prefix}; done

STARTSCRIPT=$RPM_BUILD_ROOT%{prefix}/bin/psclient
echo "#!/bin/sh" > $STARTSCRIPT
echo "prefix=%{prefix}" >> $STARTSCRIPT
echo "csprefix=$csprefix" >> $STARTSCRIPT
cat support/rpm/linuxstart >> $STARTSCRIPT
chmod +x $STARTSCRIPT

cp -p psclient.cfg *.xml $RPM_BUILD_ROOT%{prefix}
cp COPYING $RPM_BUILD_ROOT%{prefix}
cp -r data/ttf $RPM_BUILD_ROOT$csprefix/data

%post
ln %{prefix}/bin/psclient /usr/bin/psclient -s

%preun
rm /usr/bin/psclient

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{prefix}
/usr/local/crystal/data/ttf

%changelog
* Tue May 21 2002 Greg von Beck	<gregvb@wiredweasel.org>
- Fixing Install and Uninstall problems
* Thu May 02 2002 Matze Braun <MatzeBraun@gmx.de>
- Initial release

